Package edu.wisc.game.parser

## Class Expression.PropMap

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<String,​Object>
    - - edu.wisc.game.parser.Expression.PropMap

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<String,​Object>`
  Enclosing interface:
    Expression

      public static class Expression.PropMap
      extends HashMap<String,​Object>

  Values are String or Integer
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `put​(String key, Object o)` |
    `Object` | `putString​(String key, String s)` | Stores a String value, as it is, or (if possible) converted to Integer

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### PropMap

          public PropMap()

  - ### Method Detail

    - #### putString

          public Object putString​(String key,
                                  String s)

      Stores a String value, as it is, or (if possible) converted to Integer

    - #### put

          public Object put​(String key,
                            Object o)

      Specified by:
        `put` in interface `Map<String,​Object>`
      Overrides:
        `put` in class `HashMap<String,​Object>`